Migliorie pacchetti

Problemi e discussioni inerenti al kernel e al supporto hardware in ambiente Linux
Rispondi
superandrex
Arciere
Messaggi: 258
Iscritto il: 24 aprile 2009, 17:02
Località: Iglesias (CA)
Contatta:

Migliorie pacchetti

Messaggio da superandrex » 20 ottobre 2012, 17:24

Ciao a tutti :)
Ho aperto questa discussione per segnalare problemi vari per conflitti di pacchetti e magari anche solo per dei consigli su cosa andrebbe migliorato.
Allora inizio la discussione con un problema di conflitti che ora inizia ad essere fastidiosa:
parlo del conflitto nvidia-utils libgl.
Agli albori di bumblebee non mi disturbava visto che il supporto ad optimus era appena iniziato ma ora è ridicolo che dopo tutto questo tempo non sia stato modificato o creato un pacchetto ufficiale per supportare optimus.
Ormai tutti i portatili con scheda dedicata Nvidia hanno Optimus e mi sembra controproducente che bumblebee, visto che è più che stabile, non sia ancora stato messo nei repo ufficiali. Io ad esempio farei un nuovo gruppo di pacchetti che comprenda i driver nvidia, nvidia-utils e bumblebee compatibili con libgl in modo da semplificare sopratutto le installazioni dei nuovi utenti ma anche, per rendere più veloce e pratico un semplice aggiornamento. Ci sono pacchetti nei repo ufficiali che vengono caricati con dei bug grandi come palazzi mentre pacchetti di utilità stabili da anni e che tutti utilizzano continuano a rimanere su AUR.

ps

per il fatto di dare consigli non vorrei sembrare presuntuoso :D io ho aperto questo argomento in modo che tutti possiamo confrontare le nostre opinioni :)
Acer TimeLineX AS5830TG - Intel i5 - NVIDIA GT 540M

Immagine

Rispondi